Kerbal Space Program - Bug #805

EVA Jetpack handling joystick input incorrectly - even breaks keyboard input
06/26/2013 07:37 PM - tmcd123

Status: Closed Start date: 06/26/2013
Severity: Normal % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.20.2 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

If you assign a joystick axis to any of the EVA Pitch/Yaw/Roll axes, the jetpack becomes broken, even for keyboard input.
Specifically:

| have a joystick which works well with KSP for staging.. (MS Precision 2 - a basic joystick with no special drivers). All keyboard
assignments left at default. A fresh install of KSP (from Steam). No mods.

Assign twist to Yaw OR an axis to Pitch (and probably the same for Roll).

The following occurs:

The Q and E keys become inoperative

Moving the joystick axis produces the appropriate visual firing of jets, but there is NO FUEL CONSUMED, and it has no effect on the
Kerbal. WASD Ishift and Ictrl work fine, consuming fuel and affecting the Kerbal.

History

#1 - 05/27/2014 02:06 PM - cartman

| can confirm the part

"Moving the joystick axis produces the appropriate visual firing of jets, but there is NO FUEL CONSUMED, and it has no effect on the Kerbal. WASD
Ishift and Ictrl work fine, consuming fuel and affecting the Kerbal."

as still an issue on 0.23.5
have not tested the rest.

#2 - 10/15/2014 01:27 AM - hugelarry

| believe this same bug is currently affecting me in version 0.25.0.642. All the correct jets seem to be firing visually, but | see no motion of the Kerbal
as a result. | have a Saitek X52 pro joystick. I'm running Windows 7 64-bit.

Joystick control seems to work fine for staging.

#3 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#4 - 07/17/2016 09:30 AM - TriggerAu

- Status changed from New to Needs Clarification

#5 - 08/07/2016 11:40 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://bugs.kerbalspaceprogram.com/projects/ksp/wiki

http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

04/28/2024 22


http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/
http://www.tcpdf.org

